Subject: Re: [Roll] Requests for comments on the routing metric documents

From: "MiJeom Kim" <[email-masked]>
Date: Tue, 2 Sep 2008 13:44:08 +0900

Hi, Anthony,

First of all, I really appreciate your comments on the metric document.

And sorry for this late reply due to my long business trip.

For the subject you mentioned, I agree that bi-directionality is an
important factor needs to be considered to decide routing metrics. However,
I am not sure whether bi-directionality should be one of routing metrics
(probably as a link attribute) or directional link needs to be considered
when related metrics already specified is used for path calculation. The
latter one means, for instance, propagation delay and link reliability
should be associated with each directional link (meaning any opposite
directional two links connecting two nodes may have different link
attributes). In addition, node degree should be defined differently by
considering bi-directionality.

I would reflect your comments on the revised version.

Thank you.
Mijeom.

On 8/27/08, Anthony Schoofs <[email-masked]> wrote:
>
>  Hi!
>
> Another link metric could be the fact that the link is valid on each
> direction: A to B and B to A. Indeed, such result would help the routing
> protocol for updating routing tables, and then could help decide how a
> certain route compares to another. Such non bidirectional links happen with
> different TX power, different radio coverage, obstacles....
>
> Paper [1] has described the main axioms and assumptions that are taken
> when developing protocols and that are often wrong. They are:
>
> 0: The world is flat.
> 1: A radio's transmission area is circular.
> 2: All radios have equal range.
> 3: If I can hear you, you can hear me (symmetry).
> 4: If I can hear you at all, I can hear you perfectly.
> 5: Signal strength is a simple function of distance.
>
> Axioms 1, 2 and especially 3 emphasize on the problem that I mentionned.
> With regards to the routing metrics used for Path Calculation, the property
> of two nodes in having bi-directional connectivity is important.
>
> Let's say we don't consider this property. Problems may arise if the final
> ROLL routing protocol will for instance:
>
> 1. update routing tables on routing messages reception (for instance "If B
> receives from A, then A is a neighbour of B.". When B wants to send to A, it
> will find an entry in the neighbour table whereas this one may not
> physically exist. This error will trigger a new RReq. In case you would have
> chosen a path with bidirectional link, you avoid the problem.
>
> 2. use the reverse path for RREP. For instance in DYMO-low, a RREP is sent
> on the reverse path. This assumes that the reverse path has valid links to
> forward the RREP to the originator. A non-existing link will generate error
> messages and possible extra overhead for new route calculations. Risks can
> be avoided if the initial RREQ path decision takes into account
> bidirectional links.
>
> Therefore, when a route path is to be calculated, bi-directionality between
> nodes may be considered as one of the metric, most probably with a low
> weight.
> For unidirectional links, this is clearly not a metric issue.
>
> I had discussions with European project partners, and it seems important to
> consider this in real deployments.
>
> Best regards,
> Anthony
>
> [1] D. Kotz, C. Newport, R. S. Gray, J. Liu, Y. Yuan, and C. Elliott,
> "Experimental evaluation of wireless simulation assumptions" , Proceedings
> of the ACM/IEEE International Symposium on Modeling, Analysis and Simulation
> of Wireless and Mobile Systems (MSWiM), October 2004
>
> --
> Anthony Schoofs
> Research Scientist
> Philips Research,
> High Tech Campus 34 , 5656 AE Eindhoven, The Netherlands
> Email: [email-masked]
>
> "MiJeom
> Kim" <[email-masked]>
>
>
>
>    *"MiJeom Kim" <[email-masked]>*
>
>    Sent by:
>    [email-masked]
>
>    18-07-2008 09:26
>
>
>
> To
>
> [email-masked]
> cc
>
>
> Subject
>
> [Roll] Requests for comments on the routing metric documents
> Classification
>
>
>
> Hello ROLL members,
>
> We submitted a new version of I-D as follows.
> It would be very appreciated to have some comments from you.
> *
> The document is there: **
> http://tools.ietf.org/id/draft-mjkim-roll-routing-metrics-00.txt*<http://tools.ietf.org/id/draft-mjkim-roll-routing-metrics-00.txt>
>
> Filename: draft-mjkim-roll-routing-metrics
> Revision: 00
> Title: Routing Metrics used for Path Calculation in Low Power and Lossy
> Networks
>
> Authors: Mijeom Kim, JP Vasseur, Hakjin Chong
> Creation_date: 2008-07-04
> Number_of_pages: 14
>
> Abstract:
> This document specifies routing metrics used in path calculation for
> Routing Over Low power and Lossy networks (ROLL). Low power and
> Lossy Networks (LLNs) have unique characteristics compared with
> traditional wired networks or even with similar ones such as mobile
> ad-hoc networks as indicated in several application-specific
> requirements documents. Since typical IGP routing metrics such as
> hop counts or link metrics are not sufficient for LLNs, this document
> specifies a new set of required link and node metrics suitable to
> LLNs.
>
>
> Thank you,
>
>
> -----------------------------------------------------------------------------
>
> Kim, Mijeom, Ph. D, P.E.
> Senior Researcher
> USN Service Division
> Future Technology Laboratory, KT, South Korea
> Tel. +82-2-526-6063
> Cell. +82-10-9883-4951
> E-mail: [email-masked]*<http://oasys.kt.co.kr/eoffice/OWA/Email/[email-masked]>,
> [email-masked]*<http://oasys.kt.co.kr/eoffice/OWA/Email/[email-masked]>
>
> -----------------------------------------------------------------------------
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>
>
>
_______________________________________________
Roll mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/roll